Bug 834098 - Review Request: python-m2ext - M2Crypto Extensions.
Review Request: python-m2ext - M2Crypto Extensions.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ross Delinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 15:40 EDT by Ralph Bean
Modified: 2012-07-09 15:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 15:32:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rossdylan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-06-20 15:40:46 EDT
Spec URL: http://threebean.org/rpm/python-m2ext.spec
SRPM URL: http://threebean.org/rpm/python-m2ext-0.1-1.fc17.src.rpm
Description: 
This package contains some extended functions which are not (yet)
available in M2Crypto http://chandlerproject.org/Projects/MeTooCrypto>
trunk.
Fedora Account System Username: ralph


rpmlint output:
--- ~/rpmbuild » rpmlint {SPECS,SRPMS}/python-m2ext*                
1 packages and 1 specfiles checked; 0 errors, 0 warnings.
--- ~/rpmbuild » rpmlint /var/lib/mock/epel-6-x86_64/result/*.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


koji f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4181140
koji el6 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4181143
Comment 1 Ross Delinger 2012-06-20 16:22:34 EDT
The only issue I can see is the unversioned .so files.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[!]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: python-m2ext-0.1-1.fc17.x86_64.rpm : /usr/lib64/python2.7/site-
     packages/m2ext/_m2ext.so


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "*No copyright* GENERATED FILE" For detailed
     output of licensecheck see file: /home/rossdylan/834098-python-
     m2ext/licensecheck.txt
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: python-m2ext-0.1-1.fc17.x86_64.rpm : /usr/lib64/python2.7/site-
     packages/m2ext/_m2ext.so
See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

Rpmlint
-------
Checking: python-m2ext-0.1-1.fc17.src.rpm
          python-m2ext-0.1-1.fc17.x86_64.rpm
          python-m2ext-debuginfo-0.1-1.fc17.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint python-m2ext python-m2ext-debuginfo
python-m2ext.x86_64: I: enchant-dictionary-not-found en_US
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
python-m2ext-0.1-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libc.so.6()(64bit)  
    libcrypto.so.10()(64bit)  
    libpthread.so.0()(64bit)  
    libpython2.7.so.1.0()(64bit)  
    libssl.so.10()(64bit)  
    m2crypto  
    python(abi) = 2.7
    rtld(GNU_HASH)  

python-m2ext-debuginfo-0.1-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
python-m2ext-0.1-1.fc17.x86_64.rpm:
    
    python-m2ext = 0.1-1.fc17
    python-m2ext(x86-64) = 0.1-1.fc17

python-m2ext-debuginfo-0.1-1.fc17.x86_64.rpm:
    
    python-m2ext-debuginfo = 0.1-1.fc17
    python-m2ext-debuginfo(x86-64) = 0.1-1.fc17

MD5-sum check
-------------
/home/rossdylan/834098-python-m2ext/upstream/m2ext-0.1.tar.gz :
  MD5SUM this package     : 5b8e448a74a84f8047b8d0713b05bf85
  MD5SUM upstream package : 5b8e448a74a84f8047b8d0713b05bf85


Generated by fedora-review 0.2.0git
External plugins:
Comment 2 Ross Delinger 2012-06-20 16:37:07 EDT
Looks like those .so files are never versioned... Approved!
Comment 3 Ralph Bean 2012-06-20 16:40:54 EDT
New Package SCM Request
=======================
Package Name: python-m2ext
Short Description: M2Crypto Extensions
Owners: ralph
Branches: f17 el6
InitialCC:
Comment 4 Gwyn Ciesla 2012-06-21 08:53:26 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.